Subject: Re: kvm PCI assignment & VFIO ramblings

From: Avi Kivity <[email-masked]>
Date: Mon, 22 Aug 2011 15:42:35 +0300

On 08/22/2011 03:36 PM, Roedel, Joerg wrote:
> On Mon, Aug 22, 2011 at 06:51:35AM -0400, Avi Kivity wrote:
> >  On 08/22/2011 01:46 PM, Joerg Roedel wrote:
> >  >  That does not work. The bridge in question may not even be visible as a
> >  >  PCI device, so you can't link to it. This is the case on a few PCIe
> >  >  cards which only have a PCIx chip and a PCIe-2-PCIx bridge to implement
> >  >  the PCIe interface (yes, I have seen those cards).
> >
> >  How does the kernel detect that devices behind the invisible bridge must
> >  be assigned as a unit?
>
> On the AMD IOMMU side this information is stored in the IVRS ACPI table.
> Not sure about the VT-d side, though.
>

I see.  There is no sysfs node representing it?

I'd rather not add another meaningless identifier.

-- 
error compiling committee.c: too many arguments to function